searchData={"items":[{"type":"module","title":"UOF.API.CustomBet","doc":"CustomBet is an extension for Unified Odds Feed and allows the creation of\ncustom tailored bets for a specific fixture. In CustomBet it is possible to\ncombine a wide range of betting markets into one single odds and probabilities\ncalculation as if it was a regular accumulator bet.\n\nCustomBet API is only available for soccer and basketball fixtures.","ref":"UOF.API.CustomBet.html"},{"type":"function","title":"UOF.API.CustomBet.available_selections/1","doc":"Get the markets that are available to be used in a custom bet from the given\nfixture.","ref":"UOF.API.CustomBet.html#available_selections/1"},{"type":"function","title":"UOF.API.CustomBet.calculate/2","doc":"Calculate the probability and odds for the given selections. It also returns\na list of further markets that can be added to the custom bet.","ref":"UOF.API.CustomBet.html#calculate/2"},{"type":"module","title":"UOF.API.Descriptions","doc":"","ref":"UOF.API.Descriptions.html"},{"type":"function","title":"UOF.API.Descriptions.betstop_reasons/0","doc":"Describe all bet stop reasons.","ref":"UOF.API.Descriptions.html#betstop_reasons/0"},{"type":"function","title":"UOF.API.Descriptions.betting_statuses/0","doc":"Describes all betting statuses used in `odds_change` messages.","ref":"UOF.API.Descriptions.html#betting_statuses/0"},{"type":"function","title":"UOF.API.Descriptions.markets/1","doc":"Describe all currently available markets.","ref":"UOF.API.Descriptions.html#markets/1"},{"type":"function","title":"UOF.API.Descriptions.match_statuses/1","doc":"Describe all sport-specific match status codes used during live matches in\n`odds_change` messages.","ref":"UOF.API.Descriptions.html#match_statuses/1"},{"type":"function","title":"UOF.API.Descriptions.producers/0","doc":"Describe all currently avbailable producers and their ids.","ref":"UOF.API.Descriptions.html#producers/0"},{"type":"function","title":"UOF.API.Descriptions.variants/1","doc":"Get a list of all variants and which markets they are used for.","ref":"UOF.API.Descriptions.html#variants/1"},{"type":"function","title":"UOF.API.Descriptions.void_reasons/0","doc":"Describe all possible void reasons used in `bet_settlement` messages.","ref":"UOF.API.Descriptions.html#void_reasons/0"},{"type":"module","title":"UOF.API.Mappings.CustomBet.AvailableSelections","doc":"","ref":"UOF.API.Mappings.CustomBet.AvailableSelections.html"},{"type":"module","title":"UOF.API.Mappings.CustomBet.Calculation","doc":"","ref":"UOF.API.Mappings.CustomBet.Calculation.html"},{"type":"module","title":"UOF.API.Mappings.CustomBet.Market","doc":"","ref":"UOF.API.Mappings.CustomBet.Market.html"},{"type":"module","title":"UOF.API.Mappings.CustomBet.Outcome","doc":"","ref":"UOF.API.Mappings.CustomBet.Outcome.html"},{"type":"module","title":"UOF.API.Probability","doc":"Betradar's Probability API can be used to fetch the probabilities for all\nactive markets offered by Betradar's Unified Odds Feed product.\n\nProbabilities can go down to `1e-10` (ie. `0.0000000001`).\n\nThe only supported sports are: soccer, baseball, basketball, tennis, table\ntennis, badminton, volleyball, squash, handball, ice hockey and field hockey.\n\nFor a fixture to be available in the Probability API, the fixture must be\nactive in `Live Odds` and you must have `Live Odds` access to this fixture.","ref":"UOF.API.Probability.html"},{"type":"function","title":"UOF.API.Probability.probabilities/1","doc":"Get probabilities for the given fixture.","ref":"UOF.API.Probability.html#probabilities/1"},{"type":"function","title":"UOF.API.Probability.probabilities/2","doc":"Get probabilities for the specified market in the given fixture.","ref":"UOF.API.Probability.html#probabilities/2"},{"type":"function","title":"UOF.API.Probability.probabilities/3","doc":"Get probabilities for the specified market with specifier in the given fixture.","ref":"UOF.API.Probability.html#probabilities/3"},{"type":"module","title":"UOF.API.Recovery","doc":"","ref":"UOF.API.Recovery.html"},{"type":"module","title":"UOF.API.Sports","doc":"","ref":"UOF.API.Sports.html"},{"type":"function","title":"UOF.API.Sports.categories/2","doc":"List all the available categories for the given sport.","ref":"UOF.API.Sports.html#categories/2"},{"type":"function","title":"UOF.API.Sports.competitor/2","doc":"Get the details of the given competitor.","ref":"UOF.API.Sports.html#competitor/2"},{"type":"function","title":"UOF.API.Sports.fixture/2","doc":"Get the details of the given fixture.","ref":"UOF.API.Sports.html#fixture/2"},{"type":"function","title":"UOF.API.Sports.fixture_changes/1","doc":"Get a list of all the fixtures that have changed in the last 24 hours.","ref":"UOF.API.Sports.html#fixture_changes/1"},{"type":"function","title":"UOF.API.Sports.fixtures/2","doc":"","ref":"UOF.API.Sports.html#fixtures/2"},{"type":"function","title":"UOF.API.Sports.fixtures_by_sport/1","doc":"","ref":"UOF.API.Sports.html#fixtures_by_sport/1"},{"type":"function","title":"UOF.API.Sports.live_schedule/1","doc":"Get a list of all live fixtures.","ref":"UOF.API.Sports.html#live_schedule/1"},{"type":"function","title":"UOF.API.Sports.player/2","doc":"Get the details of the given player.","ref":"UOF.API.Sports.html#player/2"},{"type":"function","title":"UOF.API.Sports.pre_schedule/3","doc":"Get a lists of almost all fixtures Betradar offers prematch odds for.","ref":"UOF.API.Sports.html#pre_schedule/3"},{"type":"function","title":"UOF.API.Sports.result_changes/1","doc":"Get a lists of all the fixtures that have changed results in the last 24 hours.","ref":"UOF.API.Sports.html#result_changes/1"},{"type":"function","title":"UOF.API.Sports.schedule/2","doc":"Get a list of all the fixtures scheduled to start at the given date (in UTC).","ref":"UOF.API.Sports.html#schedule/2"},{"type":"function","title":"UOF.API.Sports.sports/1","doc":"List all the available sports.","ref":"UOF.API.Sports.html#sports/1"},{"type":"function","title":"UOF.API.Sports.summary/2","doc":"Get information and results for the given fixture.","ref":"UOF.API.Sports.html#summary/2"},{"type":"function","title":"UOF.API.Sports.timeline/2","doc":"Get detailed information (including event timeline) for the given sport event.\n# Prematch, Live or Post-match. Prematch details are very brief. Post-match\n# details include results.","ref":"UOF.API.Sports.html#timeline/2"},{"type":"function","title":"UOF.API.Sports.tournament/2","doc":"Get details about the given tournament.","ref":"UOF.API.Sports.html#tournament/2"},{"type":"function","title":"UOF.API.Sports.tournament_schedule/2","doc":"Get the schedule of the given tournament.","ref":"UOF.API.Sports.html#tournament_schedule/2"},{"type":"function","title":"UOF.API.Sports.tournaments/1","doc":"","ref":"UOF.API.Sports.html#tournaments/1"},{"type":"function","title":"UOF.API.Sports.venue/2","doc":"Get the details of the given venue.","ref":"UOF.API.Sports.html#venue/2"},{"type":"module","title":"UOF.API.Users","doc":"API used for administrative purposes.","ref":"UOF.API.Users.html"},{"type":"function","title":"UOF.API.Users.whoami/0","doc":"Get information about the token being used, including information such as\nthe caller's bookmaker id and when the caller's access token will expire.","ref":"UOF.API.Users.html#whoami/0"},{"type":"extras","title":"README","doc":"![UOF API](https://github.com/efcasado/uof_api/raw/main/assets/readme_logo.png)\n\n[![Build Status](https://github.com/efcasado/uof_api/actions/workflows/elixir.yml/badge.svg?branch=main)](https://github.com/efcasado/uof_api/actions)\n[![Package Version](https://img.shields.io/hexpm/v/uof_api.svg)](https://hex.pm/packages/uof_api)\n\n\n# UOF API\n\n> [!IMPORTANT]\n> This is an **unofficial client** for Betradar's Unified Odds Feed (UOF) HTTP API.\n> Betradar offers official Java and .NET SDKs. You can read more about these\n> [here](https://sdk.sportradar.com).\n\nElixir client for Betradar's Unified Odds Feed (UOF) HTTP API.\n\nThis project implements Betradar's Custom Bet, Probability, Recovery and Sports\nAPIs, which can be found in the `UOF.API.{CustomBet, Probability, Recovery,\nSports}` modules, respectively.","ref":"readme.html"},{"type":"extras","title":"Get Started - README","doc":"","ref":"readme.html#get-started"},{"type":"extras","title":"Configuration - README","doc":"To be able to interact with Betradar's API, you first need to configure a valid\n`authentication token` and the `base url` of the Betradar environment you want\nto use.\n\n```elixir\n:ok = Application.put_env(:uof_api, :base_url, \" \")\n:ok = Application.put_env(:uof_api, :auth_token, \" \")\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Usage - README","doc":"Fetch all available fixtures.\n\n```elixir\nfixtures = UOF.API.Sports.fixtures\n```\n\nGiven a list fixtures, count how many of them there are.\n\n```elixir\nEnum.count(fixtures)\n# => 51591\n```\n\nOr inspect a random fixture from the list.\n\n```elixir\nfixture = Enum.random(fixtures)\n# =>\n# %UOF.API.Mappings.SportEvent{\n#   liveodds: nil,\n#   status: \"not_started\",\n#   next_live_time: nil,\n#   id: \"sr:match:46657257\",\n#   scheduled: \"2024-12-01T23:00:00+00:00\",\n#   start_time_tbd: true,\n#   venue: %UOF.API.Mappings.Venue{\n#     id: \"sr:venue:69401\",\n#     name: \"Estadio Claudio Chiqui Tapia\",\n#     capacity: 4400,\n#     city_name: \"Barracas\",\n#     country_name: \"Argentina\",\n#     map_coordinates: \"-34.646901,-58.396364\",\n#     country_code: \"ARG\"\n#   },\n#   season: %UOF.API.Mappings.Season{\n#     id: \"sr:season:114317\",\n#     name: \"Liga Profesional 2024\",\n#     start_date: \"2024-05-04\",\n#     end_date: \"2024-12-16\",\n#     year: \"2024\",\n#     tournament_id: \"sr:tournament:155\"\n#   },\n#   tournament_round: %UOF.API.Mappings.TournamentRound{\n#     betradar_id: 68,\n#     betradar_name: nil,\n#     type: \"group\",\n#     name: nil,\n#     cup_round_matches: nil,\n#     cup_round_match_number: nil,\n#     other_match_id: nil,\n#     number: \"25\",\n#     group: nil,\n#     group_id: nil,\n#     group_long_name: \"Liga Profesional\",\n#     phase: \"regular season\"\n#   },\n#   tournament: %UOF.API.Mappings.Tournament{\n#     id: \"sr:tournament:155\",\n#     name: \"Liga Profesional\",\n#     current_season: nil,\n#     season_coverage: nil,\n#     sport: %UOF.API.Mappings.Sport{id: \"sr:sport:1\", name: \"Soccer\"},\n#     category: %UOF.API.Mappings.Category{\n#       id: \"sr:category:48\",\n#       name: \"Argentina\",\n#       country_code: \"ARG\"\n#     }\n#   },\n#   competitors: [\n#     %UOF.API.Mappings.Competitor{\n#       id: \"sr:competitor:65668\",\n#       name: \"Barracas Central\",\n#       state: nil,\n#       country: \"Argentina\",\n#       country_code: \"ARG\",\n#       abbreviation: \"BAR\",\n#       qualifier: \"home\",\n#       virtual: nil,\n#       gender: \"male\",\n#       short_name: \"Barracas\",\n#       sport: nil,\n#       category: nil,\n#       references: [\n#         %UOF.API.Mappings.Reference{name: \"betradar\", value: \"17080628\"}\n#       ]\n#     },\n#     %UOF.API.Mappings.Competitor{\n#       id: \"sr:competitor:7628\",\n#       name: \"CA Tigre\",\n#       state: nil,\n#       country: \"Argentina\",\n#       country_code: \"ARG\",\n#       abbreviation: \"TIG\",\n#       qualifier: \"away\",\n#       virtual: nil,\n#       gender: \"male\",\n#       short_name: \"Tigre\",\n#       sport: nil,\n#       category: nil,\n#       references: [\n#         %UOF.API.Mappings.Reference{name: \"betradar\", value: \"1048782\"}\n#       ]\n#     }\n#   ]\n# }\n```\n\nWe can also list of the different statuses reported by all the currently\navailable fixtures\n\n```elixir\nfixtures\n|> Enum.map(&(&1.status))\n|> Enum.uniq\n# => [\"not_started\", \"cancelled\", \"postponed\", \"closed\"]\n```\n\nSimilarly, we can easily get a list of the different sports the currently\navailable fixtures belong to\n\n```elixir\nfixtures\n|> Enum.map(&(&1.tournament.sport.name))\n|> Enum.uniq\n# =>\n# [\n#   \"Soccer\",\n#   \"Handball\",\n#   \"American Football\",\n#   \"Rugby\",\n#   \"Basketball\",\n#   \"Volleyball\",\n#   \"Cricket\",\n#   \"Baseball\",\n#   \"Table Tennis\",\n#   \"Tennis\",\n#   \"Futsal\",\n#   \"Aussie Rules\",\n#   \"Ice Hockey\",\n#   \"Speedway\",\n#   \"Field hockey\",\n#   \"Waterpolo\",\n#   \"Pesapallo\",\n#   \"Boxing\",\n#   \"MMA\",\n#   \"Bowls\",\n#   \"ESport Call of Duty\",\n#   \"Gaelic Hurling\",\n#   \"Darts\",\n#   \"ESport Counter-Strike\",\n#   \"Rink Hockey\",\n#   \"ESport Arena of Valor\",\n#   \"Basketball 3x3\",\n#   \"Lacrosse\",\n#   \"ESport King of Glory\",\n#   \"Gaelic Football\",\n#   \"ESport League of Legends\",\n#   \"Squash\",\n#   \"eSoccer\",\n#   \"Snooker\",\n#   \"ESport Dota\",\n#   \"Cycling\"\n# ]\n```\n\nOr, count how many fixtures there are for each sport\n\n```elixir\nfixtures\n|> Enum.reduce(%{}, fn(f, acc) -> Map.update(acc, f.tournament.sport.name, 1, &(&1 + 1)) end)\n# =>\n# %{\n#   \"Handball\" => 776,\n#   \"Basketball\" => 2832,\n#   \"Cricket\" => 673,\n#   \"Speedway\" => 133,\n#   \"ESport Call of Duty\" => 50,\n#   \"Futsal\" => 383,\n#   \"Boxing\" => 65,\n#   \"Gaelic Football\" => 2,\n#   \"Waterpolo\" => 67,\n#   \"Rugby\" => 1168,\n#   \"Gaelic Hurling\" => 19,\n#   \"Baseball\" => 13428,\n#   \"Darts\" => 70,\n#   \"Soccer\" => 26913,\n#   \"MMA\" => 102,\n#   \"Table Tennis\" => 535,\n#   \"Lacrosse\" => 9,\n#   \"Tennis\" => 751,\n#   \"Ice Hockey\" => 300,\n#   \"eSoccer\" => 492,\n#   \"Cycling\" => 32,\n#   \"ESport Counter-Strike\" => 99,\n#   \"ESport Arena of Valor\" => 1,\n#   \"Squash\" => 75,\n#   \"ESport King of Glory\" => 7,\n#   \"Field hockey\" => 152,\n#   \"Pesapallo\" => 433,\n#   \"Bowls\" => 130,\n#   \"Rink Hockey\" => 8,\n#   \"ESport League of Legends\" => 4,\n#   \"ESport Dota\" => 4,\n#   \"Basketball 3x3\" => 48,\n#   \"American Football\" => 1172,\n#   \"Snooker\" => 4,\n#   \"Aussie Rules\" => 265,\n#   \"Volleyball\" => 389\n# }\n```\n\nWhen we fetch the list of all available fixtures, we only get limited\ninformation for each of the returned fixtures. We can use other available\nfunction to retrieve more details.\n\nThe example below illustrates how much more information there is available\nabout the teams competing in a football game.\n\n```elixir\nfixture = Enum.random(fixtures)\ncompetitor = Enum.random(fixture.competitors)\n{:ok, competitor} = UOF.API.Sports.competitor(competitor.id)\n# =>\n# {:ok,\n#  %UOF.API.Mappings.CompetitorProfile{\n#    competitor: %UOF.API.Mappings.Competitor{\n#      id: \"sr:competitor:65668\",\n#      name: \"Barracas Central\",\n#      state: nil,\n#      country: \"Argentina\",\n#      country_code: \"ARG\",\n#      abbreviation: \"BAR\",\n#      qualifier: nil,\n#      virtual: nil,\n#      gender: \"male\",\n#      short_name: \"Barracas\",\n#      sport: %UOF.API.Mappings.Sport{id: \"sr:sport:1\", name: \"Soccer\"},\n#      category: %UOF.API.Mappings.Category{\n#        id: \"sr:category:48\",\n#        name: \"Argentina\",\n#        country_code: \"ARG\"\n#      },\n#      references: []\n#    },\n#    venue: %UOF.API.Mappings.Venue{\n#      id: \"sr:venue:69401\",\n#      name: \"Estadio Claudio Chiqui Tapia\",\n#      capacity: 4400,\n#      city_name: \"Barracas\",\n#      country_name: \"Argentina\",\n#      map_coordinates: \"-34.646901,-58.396364\",\n#      country_code: \"ARG\"\n#    },\n#    manager: %UOF.API.Mappings.Manager{\n#      id: \"sr:player:1989503\",\n#      name: \"Orfila, Alejandro\",\n#      nationality: \"Uruguay\",\n#      country_code: \"URY\"\n#    },\n#    jerseys: [\n#      %UOF.API.Mappings.Jersey{\n#        type: \"home\",\n#        base: \"ffffff\",\n#        sleeve: \"ff0000\",\n#        number: \"cf0d04\",\n#        stripes: true,\n#        horizontal_stripes: false,\n#        squares: false,\n#        split: false,\n#        shirt_type: \"short_sleeves\"\n#      },\n#      %UOF.API.Mappings.Jersey{\n#        type: \"away\",\n#        base: \"1f242f\",\n#        sleeve: \"ffffff\",\n#        number: \"c2880b\",\n#        stripes: false,\n#        horizontal_stripes: false,\n#        squares: false,\n#        split: false,\n#        shirt_type: \"short_sleeves\"\n#      },\n#      %UOF.API.Mappings.Jersey{\n#        type: \"goalkeeper\",\n#        base: \"d91c7e\",\n#        sleeve: \"000000\",\n#        number: \"000000\",\n#        stripes: false,\n#        horizontal_stripes: false,\n#        squares: false,\n#        split: false,\n#        shirt_type: \"short_sleeves\"\n#      },\n#      %UOF.API.Mappings.Jersey{\n#        type: \"third\",\n#        base: \"c60000\",\n#        sleeve: \"ffffff\",\n#        number: \"d5b225\",\n#        stripes: false,\n#        horizontal_stripes: false,\n#        squares: true,\n#        split: false,\n#        shirt_type: \"short_sleeves\"\n#      }\n#    ],\n#    players: [\n#      %UOF.API.Mappings.Player{\n#        type: \"midfielder\",\n#        date_of_birth: \"1998-01-30\",\n#        nationality: \"Argentina\",\n#        country_code: \"ARG\",\n#        height: 179,\n#        weight: nil,\n#        jersey_number: nil,\n#        full_name: \"Lucas Lopez\",\n#        gender: \"male\",\n#        id: \"sr:player:2227176\",\n#        name: \"López, Lucas\"\n#      },\n#      %UOF.API.Mappings.Player{\n#        type: \"goalkeeper\",\n#        date_of_birth: \"2000-04-30\",\n#        nationality: \"Argentina\",\n#        country_code: \"ARG\",\n#        height: 186,\n#        weight: nil,\n#        jersey_number: nil,\n#        full_name: \"Rafael Ferrario\",\n#        gender: \"male\",\n#        id: \"sr:player:1713131\",\n#        name: \"Ferrario, Rafael\"\n#      },\n#      %UOF.API.Mappings.Player{\n#        type: \"defender\",\n#        date_of_birth: \"1998-03-03\",\n#        nationality: \"Argentina\",\n#        country_code: \"ARG\",\n#        height: 183,\n#        weight: 73,\n#        jersey_number: 2,\n#        full_name: \"Nicolas Capraro\",\n#        gender: \"male\",\n#        id: \"sr:player:2539015\",\n#        name: \"Capraro, Nicolas\"\n#      },\n#      # truncated to improve readability\n#      # (...)\n#      %UOF.API.Mappings.Player{\n#        type: \"midfielder\",\n#        date_of_birth: \"2000-09-18\",\n#        nationality: \"Argentina\",\n#        country_code: \"ARG\",\n#        height: 175,\n#        weight: nil,\n#        jersey_number: 79,\n#        full_name: \"Maximiliano Andres Puig\",\n#        gender: \"male\",\n#        id: \"sr:player:2296877\",\n#        name: \"Puig, Maximiliano\"\n#      }\n#    ]\n#  }}\n```","ref":"readme.html#usage"}],"producer":{"name":"ex_doc","version":[48,46,51,50,46,49]},"content_type":"text/markdown"}